Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040Reference

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040ReferenceImpl

    public interface POCDMT000040Reference

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 Reference'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Seperatable Ind`
- `External Act`
- `External Observation`
- `External Procedure`
- `External Document`
- `Null Flavor`
- `Type Code`

See Also:
  `CDAR2Package.getPOCDMT000040Reference()`

Method Summary
`POCDMT000040ExternalAct` | `getExternalAct()` Returns the value of the 'External Act' containment reference.
`POCDMT000040ExternalDocument` | `getExternalDocument()` Returns the value of the 'External Document' containment reference.
`POCDMT000040ExternalObservation` | `getExternalObservation()` Returns the value of the 'External Observation' containment reference.
`POCDMT000040ExternalProcedure` | `getExternalProcedure()` Returns the value of the 'External Procedure' containment reference.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`BL1` | `getSeperatableInd()` Returns the value of the 'Seperatable Ind' containment reference.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`XActRelationshipExternalReference` | `getTypeCode()` Returns the value of the 'Type Code' attribute.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`boolean` | `isSetTypeCode()` Returns whether the value of the '`Type Code`' attribute is set.
`void` | `setExternalAct(POCDMT000040ExternalAct value)` Sets the value of the '`External Act`' containment reference.
`void` | `setExternalDocument(POCDMT000040ExternalDocument value)` Sets the value of the '`External Document`' containment reference.
`void` | `setExternalObservation(POCDMT000040ExternalObservation value)` Sets the value of the '`External Observation`' containment reference.
`void` | `setExternalProcedure(POCDMT000040ExternalProcedure value)` Sets the value of the '`External Procedure`' containment reference.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setSeperatableInd(BL1 value)` Sets the value of the '`Seperatable Ind`' containment reference.
`void` | `setTypeCode(XActRelationshipExternalReference value)` Sets the value of the '`Type Code`' attribute.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.
`void` | `unsetTypeCode()` Unsets the value of the '`Type Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Reference_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040Reference_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Reference_TemplateId()`

### getSeperatableInd

    BL1 getSeperatableInd()

  Returns the value of the 'Seperatable Ind' containment reference.

  If the meaning of the 'Seperatable Ind' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Seperatable Ind' containment reference.
  See Also:
    `setSeperatableInd(BL1)`, `CDAR2Package.getPOCDMT000040Reference_SeperatableInd()`

### setSeperatableInd

    void setSeperatableInd(BL1 value)

  Sets the value of the '`Seperatable Ind`' containment reference.

  Parameters:
    `value` - the new value of the 'Seperatable Ind' containment reference.
  See Also:
    `getSeperatableInd()`

### getExternalAct

    POCDMT000040ExternalAct getExternalAct()

  Returns the value of the 'External Act' containment reference.

  If the meaning of the 'External Act' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Act' containment reference.
  See Also:
    `setExternalAct(POCDMT000040ExternalAct)`, `CDAR2Package.getPOCDMT000040Reference_ExternalAct()`

### setExternalAct

    void setExternalAct(POCDMT000040ExternalAct value)

  Sets the value of the '`External Act`' containment reference.

  Parameters:
    `value` - the new value of the 'External Act' containment reference.
  See Also:
    `getExternalAct()`

### getExternalObservation

    POCDMT000040ExternalObservation getExternalObservation()

  Returns the value of the 'External Observation' containment reference.

  If the meaning of the 'External Observation' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Observation' containment reference.
  See Also:
    `setExternalObservation(POCDMT000040ExternalObservation)`, `CDAR2Package.getPOCDMT000040Reference_ExternalObservation()`

### setExternalObservation

    void setExternalObservation(POCDMT000040ExternalObservation value)

  Sets the value of the '`External Observation`' containment reference.

  Parameters:
    `value` - the new value of the 'External Observation' containment reference.
  See Also:
    `getExternalObservation()`

### getExternalProcedure

    POCDMT000040ExternalProcedure getExternalProcedure()

  Returns the value of the 'External Procedure' containment reference.

  If the meaning of the 'External Procedure' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Procedure' containment reference.
  See Also:
    `setExternalProcedure(POCDMT000040ExternalProcedure)`, `CDAR2Package.getPOCDMT000040Reference_ExternalProcedure()`

### setExternalProcedure

    void setExternalProcedure(POCDMT000040ExternalProcedure value)

  Sets the value of the '`External Procedure`' containment reference.

  Parameters:
    `value` - the new value of the 'External Procedure' containment reference.
  See Also:
    `getExternalProcedure()`

### getExternalDocument

    POCDMT000040ExternalDocument getExternalDocument()

  Returns the value of the 'External Document' containment reference.

  If the meaning of the 'External Document' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Document' containment reference.
  See Also:
    `setExternalDocument(POCDMT000040ExternalDocument)`, `CDAR2Package.getPOCDMT000040Reference_ExternalDocument()`

### setExternalDocument

    void setExternalDocument(POCDMT000040ExternalDocument value)

  Sets the value of the '`External Document`' containment reference.

  Parameters:
    `value` - the new value of the 'External Document' containment reference.
  See Also:
    `getExternalDocument()`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040Reference_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

### getTypeCode

    XActRelationshipExternalReference getTypeCode()

  Returns the value of the 'Type Code' attribute. The default value is `"XCRPT"`. The literals are from the enumeration `XActRelationshipExternalReference`.

  If the meaning of the 'Type Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Code' attribute.
  See Also:
    `XActRelationshipExternalReference`, `isSetTypeCode()`, `unsetTypeCode()`, `setTypeCode(XActRelationshipExternalReference)`, `CDAR2Package.getPOCDMT000040Reference_TypeCode()`

### setTypeCode

    void setTypeCode(XActRelationshipExternalReference value)

  Sets the value of the '`Type Code`' attribute.

  Parameters:
    `value` - the new value of the 'Type Code' attribute.
  See Also:
    `XActRelationshipExternalReference`, `isSetTypeCode()`, `unsetTypeCode()`, `getTypeCode()`

### unsetTypeCode

    void unsetTypeCode()

  Unsets the value of the '`Type Code`' attribute.

  See Also:
    `isSetTypeCode()`, `getTypeCode()`, `setTypeCode(XActRelationshipExternalReference)`

### isSetTypeCode

    boolean isSetTypeCode()

  Returns whether the value of the '`Type Code`' attribute is set.

  Returns:
    whether the value of the 'Type Code' attribute is set.
  See Also:
    `unsetTypeCode()`, `getTypeCode()`, `setTypeCode(XActRelationshipExternalReference)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD